
#language: ru

@SalesOfProductsRLS

Функционал: 007. SalesOfProductsRLS. Создание заказов клиентов РЛС

Сценарий: 007.1. SalesOfProductsRLS. Заказы клиента для создания реализаций под РЛС

	Дано Я подключаюсь под "Создание заказов клиентов РЛС"
	Дано я устанавливаю текущему сеансу заголовок приложения "16.007. РЛС Реализация товаров"
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И таблица "Список" не содержит строки:
		| 'Организация'  |
		| 'Организация2' |
	И таблица "Список" не содержит строки:
		| 'Подразделение'               |
		| 'Обособленное подразделение ' |
	И таблица "Список" не содержит строки:
		| 'Контрагент'         |
		| 'Обычный покупатель' |
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	Тогда таблица "Список" стала равной:
		| 'Наименование' |
		| 'Организация'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента (создание) *'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	Тогда таблица "Список" стала равной:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И в таблице  "Список" я перехожу на один уровень вниз
	Тогда таблица "Список" стала равной:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
		| 'Подразделение приемки заказов'         |
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Подразделение приемки заказов' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента (создание) *'
	И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	Тогда таблица "Список" стала равной:
		| 'Наименование' |
		| 'Ашан'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента (создание) *'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по скидочному региону'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Скидочный регион'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '17.02.2020'
	И в поле 'Комментарий' я ввожу текст 'Заказ - РЛС'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "20,000"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "10,000"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Склад отгрузки"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И в таблице  "Список" я перехожу на один уровень вниз
	Тогда таблица "Список" стала равной:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
		| 'Куриная ГП'                  |
		| 'Сырная ГП'                   |
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Куриная ГП'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента (создание) *'
	И Я заканчиваю создавать заказ клиента

Сценарий: 007.2. SalesOfProductsRLS.  печать по заказам РЛС

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий' |
		| 'Заказ - РЛС' |
	И я нажимаю на кнопку 'Счет на оплату (не выводить скидки)'
	Тогда открылось окно 'Заказ клиента * от *'
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R4C2" в течение 20 секунд
	И Я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Счет на оплату (выводить скидки)'
	Тогда открылось окно 'Заказ клиента * от *'
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R4C2" в течение 20 секунд
	И Я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 007.3. SalesOfProductsRLS. Завершение

	И я закрываю сеанс TESTCLIENT